Emails sent to me via Special:EmailUser are not reaching me (SPF error)
Closed, ResolvedPublic

Description

Author: svenmanguard

Description:
Several users have tried to email me via Special:EmailUser (i.e. via https://en.wikipedia.org/wiki/Special:EmailUser/Sven_Manguard), but I have not received the emails. Other mail sent to the same address through other means is arriving normally. When I attempted to determine whether this was a Special:EmailUser specific problem, as opposed to one with my gmail account, I asked user:Hahc21 to sent me an email through both methods. He also reported having problems receiving mail via Special:EmailUser recently.

I know of at least two users that tried emailing me, Cyberpower678 and Darkwarriorblade. The former sent an email a few days before 8 April 2014 and another one on 8 April 2014. The latter sent me an email today, 14 April 2014. I received none of them. I was, however, able to reach them using Special:EmailUser.

The email address that is hooked up to my account is the same one I am using here, for Bugzilla. I changed the capitalization (SvenManguard@gmail.com to svenmanguard@gmail.com), and was then able to get an email via Special:EmailUser from valhallasw. I am not sure if resetting my email address changed anything, but I've yet to test anything further.


Version: unspecified
Severity: normal

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz63927.
bzimport created this task.Via LegacyApr 15 2014, 12:49 AM
Aklapper added a comment.Via ConduitApr 15 2014, 4:15 PM

The default question, as it wasn't mentioned above: You checked your spam folder?

bzimport added a comment.Via ConduitApr 15 2014, 5:00 PM

svenmanguard wrote:

Yes, of course. It's not in my deleted emails either, and it's not in another tab (social, personal, whatever they were) on gmail because I got rid of that feature. The mail simply didn't arrive.

Aklapper added a comment.Via ConduitMay 3 2014, 12:45 PM

There are no Yahoo mail server at all involved at any side, correct?
(Because that's what everybody has issues with currently.)

Aklapper added a comment.Via ConduitMay 15 2014, 6:00 PM

Wondering if bug 65328 is related.

Answering the question in comment 3 still welcome. :)

bzimport added a comment.Via ConduitMay 16 2014, 7:08 PM

svenmanguard wrote:

(In reply to Andre Klapper from comment #4)

Wondering if bug 65328 is related.

Answering the question in comment 3 still welcome. :)

As far as I know, there is no Yahoo involved.

Aklapper added a comment.Via ConduitNov 7 2014, 2:07 PM

Sven: Is this still a problem nowadays?

Trijnstel added a subscriber: Trijnstel.Via WebFeb 3 2015, 12:50 PM
Trijnstel added a subscriber: Aklapper.EditedVia WebFeb 3 2015, 12:54 PM

Sven: Is this still a problem nowadays?

Yep. See https://pl.wikipedia.org/w/index.php?title=Dyskusja_wikipedysty:Wpedzich&diff=prev&oldid=41698300. I twice emailed him via Special:EmailUser... and got twice an error ("mail delivery failed", see below for the text from the wikimedia services, the second time I got an error from the wp.pl software). Einsbor just told me that more users experience this problem, though I've never seen this before. Emailing them via the normal means just works.

Trijnstel added a comment.Via WebFeb 3 2015, 12:55 PM

And now the error...

This message was created automatically by mail delivery software.

A message that you sent could not be delivered to one or more of its
recipients. This is a permanent error. The following address(es) failed:

wpedzich@wp.pl
  SMTP error from remote mail server after MAIL FROM:<trijnstel@hotmail.com> SIZE=2167:
  host mx.wp.pl [212.77.101.4]: 550 BLAD SPF - zobacz strone / SPF Error:
  Please see http://www.openspf.org/Why?id=trijnstel%40hotmail.com&ip=208.80.154.91&receiver=smtp.wp.pl            Jesli jestes uzytkownikiem poczta.wp.pl sprawdz poprawnosc autoryzacji SMTP / If you are a poczta.wp.pl user check SMTP configuration:
  http://poczta.wp.pl/autoryzacja/
Aklapper added a comment.Via WebFeb 5 2015, 12:26 AM

Okay, that is an SPF error (which might not be the same problem that Sven was facing).

Aklapper changed the title from "Emails sent to me via Special:EmailUser are not reaching me" to "Emails sent to me via Special:EmailUser are not reaching me (SPF error)".Via WebFeb 5 2015, 12:26 AM
Aklapper added a project: Mail.
Aklapper set Security to None.
Aklapper added a comment.Via WebApr 17 2015, 1:39 PM

The BounceHandler extension is now deployed to all Wikimedia wikis, so is this fixed now?

Trijnstel added a comment.Via WebApr 18 2015, 1:16 PM

The BounceHandler extension is now deployed to all Wikimedia wikis, so is this fixed now?

Yes, I guess it is! I now was able to email User:Wpedzich via Special:EmailUser, which I couldn't do earlier.

Aklapper closed this task as "Resolved".Via WebApr 23 2015, 10:18 AM
Aklapper claimed this task.

Yay. Closing as resolved.

Add Comment